component: ComponentMetrics
source_enum: kEmuComponentMetrics
namespace: zoox::fmi
instances:
  FMIReserved: 1
  DriveManager: 2
  BodyManager: 3
  ManualControl: 4
  RemoteControl: 5
  RobotMonitor: 6
  Tracker: 7
  PowerManager: 8
  InertialLocalizer: 9
  CasPredictionServer: 10
  TrajectoryManager: 11
  ImuDataHandler: 12
  SmoothPose: 13
  IoHandler: 14
  SouthGateway: 15
  EcuVersionTracker: 16
  IpcLogger: 17
faults:
  - id: 0
    name: TickRanShort
    severity: WARNING
    description: Component tick time was shorter than expected.
    triggers_nogo: false
  - id: 1
    name: TickRanLong
    severity: ERROR
    description: Component tick time was longer than expected.
    triggers_nogo: false
  - id: 2
    name: TickCalledEarly
    severity: ERROR
    description: Component period was shorter than expected.
    triggers_nogo: false
  - id: 3
    name: TickCalledLate
    severity: ERROR
    description: Component period was longer than expected.
    triggers_nogo: false
  - id: 4
    name: HighMessageLatency
    severity: ERROR
    description: Time from publish() to next() was longer than expected.
    triggers_nogo: false
  - id: 5
    name: HighTransportLatency
    severity: ERROR
    description: Time from publish() to enqueue() was longer than expected.
    triggers_nogo: false
  - id: 6
    name: TopicStale
    severity: WARNING
    description: Time since the last message was recieved was longer than expected.
    triggers_nogo: false
  - id: 7
    name: ManyDroppedMessages
    severity: ERROR
    description: The number of dropped messages for a subscriber is too high.
    triggers_nogo: false
  - id: 8
    name: ManyUnreadMessages
    severity: ERROR
    description: The number of unread messages for a subscriber is too high after a tick completes.
    triggers_nogo: false
  - id: 9
    name: FewIncomingMessages
    severity: WARNING
    description: The number of incoming messages for a subscriber is too low in one tick.
    triggers_nogo: false
